# VoteWitnessAccount

Vote for super representatives.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `owner_address` - String - Owner address, default hexString
* `votes` - Object - The votes object which contains the following fields:
  * `vote_address` - String - The address of the witness you want to vote encoded in hexString
  * `vote_count` - int32 - The number of votes you want to vote
* `visible` - boolean - Optional. Specifies whether the address is in Base58 format (default: false)

## **Returns**

Transaction object - JSON object: Unsigned transaction, please refer to the [Transaction](https://developers.tron.network/docs/tron-protocol-transaction) chapter for the fields contained in it. Since the transaction type is `VoteWitnessContract`, the fields contained in `raw_data.contract[0].parameter.value` in the transaction are as follows:

| Field          | Type    | Description                                                                                                                                                                                  |
| -------------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| owner\_address | string  | Account address                                                                                                                                                                              |
| votes          | Vote\[] | Voting list for super representatives, where the fields contained in each Vote are: vote\_address: The address of the super candidate. vote\_count: the number of votes for super candidates |

```json
// Result
{
	"visible": true,
	"txID": "7bd88b2bab6d06163d51d3fae9d8e15842fe639857da6c114fa52f8063eb926b",
	"raw_data": {
		"contract": [
			{
				"parameter": {
					"value": {
						"owner_address": "TC7xSvcMqW7PXuZXAuzhie81g22fA45kyY",
						"votes": [
							{
								"vote_address": "TTW663tQYJTTCtHh6DWKAfexRhPMf2DxQ1",
								"vote_count": 1
							}
						]
					},
					"type_url": "type.googleapis.com/protocol.VoteWitnessContract"
				},
				"type": "VoteWitnessContract"
			}
		],
		"ref_block_bytes": "56ab",
		"ref_block_hash": "8dfce4aabb1eb391",
		"expiration": 1757415387000,
		"timestamp": 1757415330010
	},
	"raw_data_hex": "0a0256ab22088dfce4aabb1eb39140f8defaf092335a6a080412660a30747970652e676f6f676c65617069732e636f6d2f70726f746f636f6c2e566f74655769746e657373436f6e747261637412320a15411797d89bed18ee81c3eb135387517b88af45b6e412190a1541c05142fd1ca1e03688a43585096866ae658f2cb2100170daa1f7f09233"
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/wallet/votewitnessaccount \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
    {
    "owner_address": "TC7xSvcMqW7PXuZXAuzhie81g22fA45kyY",
    "votes": [
        {
            "vote_address": "TTW663tQYJTTCtHh6DWKAfexRhPMf2DxQ1",
            "vote_count": 1
        }
    ],
    "visible": true
}'
'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-full-node-http-api/voting-and-super-representatives-srs/votewitnessaccount.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
